#include <stdio.h>
#include <string.h>

void f(char *x, int n) {
	memset(x, '\0', n);
}

void g(char *y, int n) {
	return f(y, n);
}

int main(void) {
	int b = 1234567890;
	int c = 1234567890;
	char a[] = "Hello, you!";
	g(a, sizeof(a) + 1);
	printf("%p:%d %p:%d %p\n", &b, b, &c, c, &a);
	return 0;
}
